summarylogtreecommitdiffstats
path: root/mpd.install
diff options
context:
space:
mode:
authorKenjiTakahashi2016-10-08 20:05:47 +0200
committerKenjiTakahashi2016-10-08 20:05:47 +0200
commit4045b56a5309fd3a2d2536e91539d1cb84f6b26d (patch)
treea35e3a0773537e8534af3a2798818dda66f00ed3 /mpd.install
downloadaur-4045b56a5309fd3a2d2536e91539d1cb84f6b26d.tar.gz
INIT
Diffstat (limited to 'mpd.install')
-rw-r--r--mpd.install11
1 files changed, 11 insertions, 0 deletions
diff --git a/mpd.install b/mpd.install
new file mode 100644
index 000000000000..12742b90aa4d
--- /dev/null
+++ b/mpd.install
@@ -0,0 +1,11 @@
+post_install() {
+ getent group mpd &>/dev/null || groupadd -r -g 45 mpd >/dev/null
+ getent passwd mpd &>/dev/null || useradd -r -u 45 -g mpd -d /var/lib/mpd -s /bin/false -G audio mpd >/dev/null
+ usr/bin/systemd-tmpfiles --create mpd.conf || true
+}
+
+post_remove() {
+ getent passwd mpd &>/dev/null && userdel mpd >/dev/null
+ getent group mpd &>/dev/null && groupdel mpd >/dev/null
+ true
+}